Introduction

Getting Started

Purpose of User Guide

The purpose of this user guide is to provide you with:

  • a quick overview of the CentreWare Management Pack for Microsoft System Center Operations Manager;

  • a set of instructions on how to install the CentreWare Management Pack for Microsoft System Center Operations Manager software on a SCOM server; and

  • detailed information on how to use utilities such as rules, tasks, and alerts to manage Xerox network printers.

    • The CentreWare Management Pack for Microsoft System Center Operations Manager software consists of two components:

  • the CentreWare Management Pack program that you will install, {for more information, go to “Installing the Program”

  • the Xerox Printer Management Pack imported XML file that contains the rules for managing printers {for more information, see “Importing the Xerox Management Pack”}

    • For a complete installation, you must install both the program and the XML file.

    Introduction

    The CentreWare Management Pack for Microsoft System Center Operations Manager provides the capability to monitor the Status of Xerox Printers. It contains the following utilities

    • Network Device Monitor for monitoring the status of printers. Depending upon the status of a printer, alerts are generated.

    • Rules for monitoring Xerox printer usage counters.

    • Tasks for pinging Xerox printers, opening a printer’s Web Console, and CentreWare Management Pack for Microsoft System Center Operations Manager online help.

      • Key Features and Benefits

    • Users can isolate Xerox alerts within the Alerts view, enabling them to quickly and efficiently diagnose printer errors.

    • Usage counters show Xerox printer usage details graphically for a convenient snapshot of printer activity.


System Requirements Checklist

System Requirements

Before you can start using the software, you must ensure the following minimum requirements have been met.

  • 2.8 Ghz Intel Pentium 4 CPU

  • 2GB RAM for server memory

  • 5MB for hard drive space for Xerox Printer Management Pack software

  • Microsoft Windows 2003 server (32-bit version) with the latest service packs and updates - SP1 or greater.

  • Microsoft SQL Server 2005 with SP1

  • Microsoft System Center Operation Manager 2007 with SP1

  • Microsoft .NET Framework 2.0

  • Microsoft .NET Framework 3.0 RTM

  • Microsoft Core XML Services (MSXML) 6.0

  • Microsoft Windows PowerShell 1.0 English language installation package for Microsoft Windows Server 2003 (KB 926139)

  • Microsoft Internet Information Services 6.0

  • Simple Network Management Protocol – Note: Go to Start>Control Panel>Add or Remove Programs>Add/Remove Windows Components>Simple Network Management Protocol

  • Microsoft Windows Installer 3.1 Redistributable (KB 893803-x86.exe) – Note: Microsoft Windows Server 2003 Service Pack 1 contains Microsoft Windows Installer 3.1


Installation

Installing

Installing CentreWare Management Pack for Microsoft System Center Operations Manager

To install CentreWare Management Pack for Microsoft System Center Operations Manager:

  1. Open the install file.

    2. > insert CD, or

    > double-click CentreWare Management Pack for Microsoft System Center Operations Managerv1.0.40_32Bit.msi for 32 Bit machine and CentreWare Management Pack for Microsoft System Center Operations Managerv1.0.40_64Bit.msi for 64 bit machine. (v1.0.40 is the version number)

  2. The installer will load after a few moments, and the CentreWare Management Pack for Microsoft System Center Operations Manager installation wizard opens. Click Next.

  3. The License Agreement screen opens. Read and click I Agree. Click Next.

  4. The CentreWare Management Pack for Microsoft System Center Operations Manager Information screen opens. Review the Read Me, and click Next.For Example

  5. The Confirm Installation screen opens. Click Next.

  6. The Installing CentreWare Management Pack for Microsoft System Center Operations Manager screen opens. The status bar indicates that the installation is in progress.

  7. The Installation Complete screen opens when the installation is finished. Click Close.

  8. To verify the installation:

    9. a. Go to Start>Control Panel>Add or Remove Programs. The Add or Remove Programs screen opens.

    b. Scroll down to where CentreWare Management Pack for Microsoft System Center Operations Manager is indicated in the list.

    c. Click Click here for support information to find the Version number.

    d. The Support Info screen opens. Locate the version number—this information is also important to have when you call Xerox for support.For Example

    e. Go to My Computer>C:>Program Files. Open the Xerox folder.

    f. The CentreWare Management Pack for Microsoft System Center Operations Manager folder is indicated. Open the folder.

    g. Verify that all the files in the screenshot are present, which indicates a successful installation.


UnInstallation

Uninstalling CentreWare Management Pack for Microsoft System Center Operations Manager

Installing a new CentreWare Management Pack software will overwrite the current pack. However, if it becomes necessary to uninstall the pack, follow the steps below.

Pre-Requisite before uninstallation:

Existing version of the Management Pack (Xerox.Printer.xml) should be present.

To uninstall CentreWare Management Pack for Microsoft System Center Operations Manager:

  1. Go to Start>Settings>Control Panel>Add or Remove Programs.

  2. The Add or Remove Programs screen opens. Click Remove.

  3. A dialog box opens, and asks if you are sure about deleting the program. Click Yes.

  4. A status screen indicates that the program is being removed.

  5. If the uninstall was successful, CentreWare Management Pack for Microsoft System Center Operations Manager is no longer indicated in the list of programs.


Discovery

Managing Printers

Discovering Devices

Computer and Device Management Discovery Wizard

The Device Discovery Wizard finds networked Xerox devices and adds discovered devices to the System Center Operations Center for 2007 (SCOM) database. After discovery, the network devices are displayed in the Network Devices pane of the Administration view, and are ready to be managed.

To discover the Xerox printers:

  1. Open the SCOM 2007 console.

    2. • Start >Programs >System Center Operations Manager 2007> Operations Console.

  2. In the Operations view, click the Administration button.

  3. At the bottom of the navigation pane, click Discovery Wizard.

  4. The Computer and Device Management Wizard opens.

  5. Click Next.

  6. The Auto or Advanced screen opens. By default, the Advanced Discovery option is selected. Under Computer and Device Types, click the drop-down arrow, and select Network Devices.

  7. Click Next.

  8. The Discovery Method screen opens. Under the Specify Network Addresses, enter a start and end IP address.

  9. Under Simple Network Management Protocol (SNMP) Community Strings, modify the community string if it’s different from the default.

  10. Click Discover. A status bar will indicate that the discovery is in process.

  11. When the discovery is complete, the Select Objects to Manage screen opens, indicating a complete list of discovered objects. From the list, select the Xerox printers you want to manage

    12. Note: The Discovery Wizard only displays new devices that were added after the last discovery.

  12. Click Next.

  13. The Summary screen opens, indicating the number of devices you want to manage. Click Finish.

  14. A list of all network devices is indicated on the screen. (change IP to 192.68.0.xx (keep same))

  15. In the Administration view, choose Device Management>Network Devices.

  16. The Xerox devices that you discovered are now indicated in the Network Devices pane of the Administration view.


Override of the Monitors

All monitors are enabled by default in the CentreWare Management Pack for Microsoft System Center Operations Manager. An override can be used to disable a monitor in order to suppress an unwanted alert message. This feature gives you the flexibility to determine which alerts are appropriate for your network environment. For example, you may want to see alerts about service requests and low paper, but not see alerts about low toner.

To disable the alert messages from the CentreWare Management Pack for Microsoft System Center Operations Manager:

  1. Open the SCOM 2007 Operations Console.

  2. Click Authoring.

  3. The Authoring view is now indicated. Under Management Pack Objects, select Monitors..

  4. In the Monitors pane, select SNMP Network Device.

  5. Drill down to Availability..

  6. Select the monitor that you want to disable.

  7. In the Actions pane, click Overrides

  8. From the drop-down menu, select Disable the Monitor>For all objects of type: SNMP Network Device.

  9. A message asks you to confirm that you want to disable the monitor. Click Yes.

To enable the disabled alert messages from the Xerox Printer Management Pack:

  1. Open the SCOM 2007 Operations Console.

  2. Click Authoring.

  3. The Authoring view is now indicated. Under Management Pack Objects, select Monitors..

  4. In the Monitors pane, select SNMP Network Device.

  5. Drill down to Availability..

  6. Select the monitor which you want to disable.

  7. In the Actions Pane, choose Overrides>Override the Monitor>For all objects of type: SNMP Network Device

  8. De-select the check box to enable the monitor.


Performing Tasks

There are four tasks included in the CentreWare Management Pack for Microsoft System Center Operations Manager, which provide you with tools to manage the Xerox devices within SCOM 2007:

  • Open Web Console of the Device - launches CentreWare Internet Services (the Web page for the selected Xerox device).

  • Update Device Status - checks Xerox devices for new events and updates the events, alerts, and other views accordingly.

  • Ping Xerox Devices - pings the Xerox device that is currently selected in the Operator Console.

  • Xerox Help - launches the Xerox CentreWare for SCOM Help system.

    • To View tasks:

    1. Click Monitoring.

    2. In the Monitoring pane, choose Network Devices State

    3. The Network Devices State pane opens, indicating all the discovered devices and health status of each device.

    4. The third pane indicates tasks that are intended to work with Xerox printers included in the list of Xerox network devices.


Viewing Alerts

An alert is a message that indicates a failure or problem with a printing device. By viewing and alert and its details, you can often troubleshoot and solve many printer problems.

To view alerts:

  1. Click Monitoring.

  2. In Monitoring pane, choose Xerox Printer>Alerts.

  3. All alerts for the Xerox printer will be indicated in the Alerts pane.

  4. 4. The Alerts pane identifies the following alert attributes: IP address, name, resolution state, and the date the alert was created. To view more alert details, select a printer. The Alert Details pane opens below the alerts list.

    5. Note: For more information on alert details, see Appendix A.

To view possible alert remedies:

  1. From the Alerts pane, select a printer. .

  2. Go to the Actions pane. From the SNMP Network Devices Tasks, select Open Web Console of Xerox Device.

  3. The printer’s Web Console opens, providing an additional level of details for printer status and configuration.

  4. Click Error. The Close the Front Cover screen opens, providing a diagram and instructions for the solution.


Viewing Usage Counters

To access usage counters:

  1. Click Monitoring.

  2. In Monitoring pane, choose Xerox Printer>Usage Counters.

  3. The Usage Counter pane shows a graph of current usage and a legend denoting the rules by color.

Reading the Graph

The legend indicates the color for each rule depicted in the graph. According to the legend, this graph indicates total impressions (in green) and color printed 2-sided (in red).

The y-axis of the graph shows that the total impressions are between 1200 and 1500.

The x-axis of the graph shows the time period for the count. The evenness of the green line indicates that the total impressions count remained the same during the specified time period.


Upgrading Device Software

Software Upgrade

The Xerox Printer Management pack provides the capability to upgrade system software on many Xerox products that support remote downloading of software. The management pack supports devices that use a .dlm file to upgrade device software. The software upgrade interface in SCOM will allow a software upgrade file to be delivered to multiple devices. The application will send the files to the device one at a time and then verify the upgrade before sending the next file. Once complete it will move to the next selected device.

NOTE: It is important that software installation instructions are read thoroughly. Software upgrades are specific to device Models and software versions. This document does not replace the documentation provided with the software upgrade files.

Upgrading Software:

1. Open the SCOM 2007 Operations Console.. • Start >Programs >System Center Operations Manager 2007> Operations Console.

2. In the Operations view, click the Monitoring button.

3. Select the Network Devices State view.

4. In the SNMP Network Device Tasks select Upgrade Xerox Device. The following screen will open and populate. Xerox devices will be listed along with the current software version installed on the machine.

5. Select the device(s) from the list to be upgraded by selecting the checkbox next to the device(s).

6. Click the Select button and browse to the software upgrade file. Up to three files can be sent to each device. Refer to the software upgrade documentation to obtain the correct order of software upgrade files. The files will be sent in order starting with File 1.

NOTE: The process of upgrading software can take up to 40 minutes for each file for each device. The device must not be powered off or on while this upgrade is taking place or the machine may require service to correct the situation.

7. Select Upgrade to initiate the software upgrade process.

8. The status window will display the current state of the upgrade process. When the status window displays that all selected devices have been upgraded you can close the window by selecting Exit.

NOTE: The version information displayed in the SCOM console in the device description will not be automatically updated after the software upgrade is complete. In order to update this information the device must be deleted and rediscovered within System Center Operations Manager Operations window.


Register Client

Registration Client

The Xerox Printer Management pack provides the Registration API (Xerox Registration Client) to register EIP applications with a device, thereby making such applications available to end users at the device.

Registering Client:

1. Open the SCOM 2007 Operations Console.. • Start >Programs >System Center Operations Manager 2007> Operations Console.

2. In the Operations view, click the Monitoring button.

3. Select the Network Devices State view.

4. Select a device from the list.

5. In the SNMP Network Device Tasks select Xerox Registration Client. The following screen will open and populate the Selected device (along with the UserName and Password if provided before).

6. This interface provides different methods

6.1. Get Interface Version : All EIP web services support a method that returns the web service interface version implemented by the device. While every effort will be made to ensure compatibility of the interface over time (i.e., that the current version is forward-compatible and future versions are backwards-compatible), it may be necessary to make changes which violates forward- and backward-compatibility issues. If that occurs, the interface's major version number will change and the service address will be changed to prevent accidental usage of the wrong interface.

Minor version changes correspond to evolution of the interface and capabilities, when those changes maintain forward- and backward-compatibility.

The interface version for each EIP web service can vary independently of the interface versions of other EIP web services.

When Clicked on Connect, the application should display the current Registration interface version, and the action buttons at the bottom half of the UI will be enabled.

6.2. Create New Registration : This method puts a new EIP Application registration entry into the device's list of maintained registrations. This will enable the EIP Application to be used from the device's local user interface. When clicked on 'Create New' button, it opens a window where a new EIP application registration details can be provided and saved.

6.3. Delete Registration : Performed on click of 'Delete' button. This removes a registration entry from the device's list of registered applications. If the application's interface is currently displayed on the local user interface, the application will remain at the local user interface until the user at the device exits the application; after that point, the application will not be able to be entered again unless the registration is put back onto the device with Create New Registration. Delete may not always be the best option for disabling an EIP application. If an application administrator wishes to suspend use of an EIP application (e.g. during upgrade), the registration can be disabled using a call to update the registration (see below), and then re-enabled later.

6.4. Update Registration : Performed on click of 'Update' button. This updates the information about a registered EIP Application. This method can be used to disable or enable a registration, or to make updates to other registration data. A few registration fields cannot be updated using this call, and when those fields require update, the registration must be deleted and then re-put. The detail section below provides more information.

6.5. Get Registration : On Click of 'View' button, this method retrieves detailed information about the requested registration.

6.6. List Registrations : On Click of 'List' button, this method retrieves a list of the applications registered at the device.


SCOM Config Setting – User Guide

SCOM

Config Setting

Configuration Document

(Version 1.1)

Revision History

Date | Version | Description | Author
03 Sep 2010 | 1.0 | Initial draft | Sunil bansal
08 Oct 2010 | 1.1 | Modified to remove the technical details | Sunil bansal

Contents

1.0 Introduction and scope. 4

2.0 Audience. 4

4.0 Config Main. 4

4.1 Configuration sets. 4

4.1.1 Creating the New Config Setting. 5

4.1.2 Editing the Config Setting. 15

4.1.2 Deleting the Config Setting. 16

4.2. Configuration Task. 16

4.2.1 Create the config task. 17

4.2.2 Edit the config task. 21

4.2.2 Deleting the config task. 21

4.2.3 Run the Task. 22

4.2.4 View the Task Status. 23

4.2.5 View the Task Results. 24

6.0 Deployment. 25

1.0 Introduction and scope

The purpose of this document is to define the requirements necessary to create a Configuration set which includes the collection of various settings that are desired to be applied on one or more Xerox Devices. The settings that can be applied on a Device are classified to different features.

2.0 Audience

The audience for this document is assumed to be Xerox Program Development and Testing Teams who are responsible for the design and implementation of Configuration Sets of Xerox device. The Requirements document assumes that the reader is familiar with typical network management protocols (SNMP, HTTP, etc.), MIB-related terminology (OID, MIB, object, etc.)

4.0 Config Main

Application interface contains two main tabs

· Configuration sets: To view/Add/Edit the configuration setting.

· Configuration Tasks: To define the Configuration task and running the task for the discovered devices.

4.1 Configuration sets

Configuration sets tab is the dashboard to display or view all the configuration setting. Each setting will be saved with unique id and name.

4.1.1 Creating the New Config Setting

Click on the new button to enter the new configuration set. The New configuration screen will open as shown below.

The screen contains the three sections or tabs.

1. Identity:

Identity tab contains the set name which is the unique name to define the config sets and other info like Owner, Email etc. These are the attributes for the each configuration setting.

2. Asset and Default:

In Asset section, user can define Printer information, Feature Defaults, Multinational related setting.

3. Protocols:

To define the IP Network protocol, Other Network protocol, Print protocol, Ldap Mapping related setting.

Note: There is single save for all the configuration sets tabs/sections.

4.1.1.1 Identity

Enter the Identity information, Set name is the name of the new configuration set.

Enter the Set Name, this name will be unique name to identify the configuration setting, once the configuration setting is defined and saved, set Name cannot be edited in future.

Enter the Owner Name, Email Address, Phone Number, Location and Comments (Description) to define the Configuration Setting.

4.1.1.1 Asset and Default

Select the Checkbox to select the Setting and then enter/select the corresponding values.

This tab contains the three sub section

· Printer Information

· Feature Default

· Multinational

Printer Information

Printer Location:

To set the printer Location selects the corresponding checkbox and enters the printer location in the respective text box.

System Contact: To set the System Contact selects the corresponding checkbox and enter the System Contact in the respective text box.

Feature Default

Device Startup Page:

Default value are Yes (3), No (4). To set the Device Startup Page selects the corresponding checkbox and selects the value “Yes “. For not setting the Device Startup Page selects the value “No”.

Banner sheet:

Default value are Yes (3), No (4). To set the Banner sheet selects the corresponding checkbox and selects the value “Yes “ For not setting the Banner sheet selects the value “No”.

Orientation:

Default value is Portrait and Landscape. To set the Orientation selects the corresponding checkbox and selects the respective value from dropdown.

Sides:

Default value are 1 Sided Print(1),2 Sided Print(2),2 Sided Print, Flip on Short Edge(3),Unknown(4) and Other(5).To set the sides selects the corresponding checkbox and selects the respective value from dropdown.

Input Tray:

To Set the Input Tray, selects the corresponding checkbox and selects the respective value from dropdown. Default Values are Tray1 to Tray11.

Output Bin:

To Set the Output Bin, selects the corresponding checkbox and selects the respective value from dropdown. Default Values are Bin1 to Bin11.

Multinational:

Default values are English(1), Spanish(2), French(3), Italian(4), German(5), Portuguese(6), Japanese(7), Mandarins(8). To set the console or MIB language, selects the corresponding checkbox and selects the respective value from dropdown.

4.1.1.1 Protocol

In this section I used to define the Protocol related setting and retrieves the LDAP Mapping. There are four sun sections/tabs

1. IP Network

2. Other network

3. Print

4. LDAP Mapping

1. IP Network: Define the IP network protocols Like IPv4, IPv6, Http, SLP, UPnP/SSDP and Telnet.

IPv4TCP/IP

Used to set the IPv4 TCP/IP related configuration on the device, Default values for source are none(1), other(2), static(3), RARP(4), BOOTP(5), DHCP(6), DHCPAutoIP(7), AutoIPv6(8). To set the values select the checkbox and enter the corresponding values

IPv4 Zero config N/W

Used to set the IPv4 Zero configuration networking related property, Default values are Yes (1), No (2). To set the values select the checkbox and enter the corresponding values

IPv4DNS

Used to set the IPv4DNS related properties to the device like Multicast DNS, Dynamic Registration, Domain Name, Preferred DNS Server, Alternate DNS Server1, and Alternate DNS Server2, to set the values select the checkbox and enter the corresponding values

IPv6 TCP/IP

Used to set the IPv6 TCP/IP related setting on the device. Default values for DHCP Policy are Use DHCPv6 as directed by a router(1), Always enable DHCP for address assignment(2), Always enable DHCP for other configuration data(3), Never use DHCPv6(4). To set the values select the checkbox and enter the corresponding values

IPv6 DHCP/DDNS

Used to set the IPv6 DHCP/DDNS related property, Default values are Yes (1), No (2). To set the values select the checkbox and selects the corresponding values

IPv6 DNS

Used to set the IPv6 DNS related setting on the device. Default values for Resolution preference are prefer IPv4 addresses (1), prefer IPv6 addresses (2). To set the values select the checkbox and enter the corresponding values

HTTP

Used to set the Http related setting on the device like enabling the Http, Setting the Port and enabling the secure http. To set the values select the checkbox and enter or select the corresponding values

SLP

Used to set the SLP related setting on the device like enabling the Directory Agent, Setting the Port , scope and Multicast enabling , Radius and MTU. To set the values select the checkbox and enter or select the corresponding values

UPnP/SSDP

Used to set the UPnP/SSDP related setting on the device, to set the values select the checkbox and enter or select the corresponding values

Telnet

Used to set the Telnet related setting on the device.

To set the values select the checkbox and enter or select the corresponding values

2. Other Network: Define the Other network protocols Like Apple Talk, MS Networking, WINS and Netware.

AppleTalk

Used to set the AppleTalk related setting on the device, like enabling the apple talk, printer type and setting the zone. To set the values select the checkbox and enter or select the corresponding values

Microsoft Networking

Used to set the Microsoft networking related setting on the device like Connection Mode, Work Group, Share Name, Share Name comment, Host name, Host name comments, Maximum Connection, Connection Timeout, to set the values select the checkbox and enter or select the corresponding values

WINS

Used to set the WINS related setting on the device, like enabling the WINS, setting the primary or secondary server, to set the values select the checkbox and enter or select the corresponding values

Netware General & Netware SAP

Used to set the Netware General and Netware SAP related setting on the device, like enabling the Network general setting on the device, defining the filling transport, Frame Type, polling intervals, printer server etc. To set the values select the checkbox and enter or select the corresponding values

Netware Bindery Setting and NDS

Used to set the Netware Bindery and Netware Network Directory services setting related setting on the device, User can define up to four Bindery File server and Network Directory services server, NDS Tree and NDS context. To set the values select the checkbox and enter or select the corresponding values

3. Print Network: Define the print network protocols Like LP/LPD, Port 9100/IP direct, IPP and FTP

LPR/LPD

Used to set the LPR/LPD setting on the device, for enabling select “yes” and for disabling Select “No”, user can also change the port or specify the maximum connection. To set the setting, select the checkbox and enter or select the corresponding values.

Port 9001/IPDirect

Used to set the Port 9001/IPDirect setting on the device, for enabling select “yes” and for disabling Select “No”, There are three ports for Port 9001/IPDirect, user can set the setting for each port separately like defining the port number, enabling the Bidirectional, enabling the PDL Switching, defining the Maximum Connections per port and end of job timeout value. To set the values select the checkbox and select or enter the corresponding values

IPP

Used to set the IPP Setting on the Device, to set the values select the checkbox and select the corresponding values

FTP

Used to set the FTP Setting on the Device, to set the values select the checkbox and select the corresponding values

4. LDAP Mapping:

LDAP mapping Screen is used to login to the LDAP Server and retrieve the LDAP setting and populate to the corresponding combo box, then user will select the setting and save in order to apply to the selected devices.

To retrieve the LDAP setting,

· Enter the Primary or Alternate of the LDAP server IP or Server Name,

· Enter Login Name and password of the LDAP server

· Click on “Retrieve Mapping button”

System will fill fetch the properties and fill in the corresponding fields.

Note: Initially Default values are set, so the user can set the default values or retrieve the Existing properties.

Click on “Save” button finally and the Configset will get created. In order to abort from creating the new config set, click on “Cancel” Button.

4.1.2 Editing the Config Setting

To Edit the saved Config Set

· Select the Saved Configset

· Click on Edit Button

· Modify the setting

· Click on “save” in the Edit screen.

Note: Only one config set is edited at once. Do not select multiple for editing.

4.1.2 Deleting the Config Setting

To delete the Config Setting

· Select one or multiple config setting

· Click on “Delete” button to delete

4.2. Configuration Task

Configuration task section is used to following activities.

1. Create/Edit/ Delete the configuration task and map the task to the defined /saved configuration sets.

2. Run the task

3. Schedule the task

4. View the Task Results.

Click on the new button to define the new Configuration task.

4.2.1 Create the config task

In “configuration Task” tab, go to “configure Task” sub Tab and click on “New” Button

1. Details:

Enter the Task name i.e. the unique name to identify the task, respective description.

User can enable or disable the particular task, if it is enable then only the task is will be executed.

There are three types of actions

1. Audit check: Does get operation and audit the devices, and raises the warning if the same value is already set to the devices.

2. Apply: Does the set operation on the device.

3. Audit and Apply: Does the get and set operation of the config setting on the selected device

Check “Reboot Device after Applying configuration” check box if reboot of devices is needed after applying the configuration.

2. Devices:

Device section/ sub tab is used to discover the device on the network within the IP range defines in the SCOM database.

o “All discovered devices” radio button is used to display all the discovered devices on the network.

o “Recently discovered devices” radio button is used to display recently discovered devices (Last 24 hr) on the network.

o Select one or multiple devices.

3. Scheduling the Task:

Schedule tab is used to define the Schedule period in order to run the task by the scheduling service.

To schedule the task select the “Yes” radio button. And then select the frequency.

Frequency contains four values to schedule the task.

1. Once: To schedule once to the specified date and time.

2. Hourly: To schedule every specified hour from start date time to end date time.

Ex: Hourly, Every 4 hour

Corresponding task will be run every four hour continuously from start date time to

End date time

3. Daily: To schedule every specified day from start date time to end date time.

4. Weekly: To schedule every specified week from start date time to end date time.

Note:

o Task will be automatically picked by the service and will get executed; no user interaction is required to run the task.

o To view the result, go to Config set application and view the results as specified in the below sections 4.2.4 and 4.2.5

4. Credentials:

Credentials section is used to define the device credentials and SNMP access.

Now click on “Save” button to save the configuration task.

4.2.2 Edit the config task

For editing the Config Task

o Select the saved “config Task”

o Click on edit button

o Modify the setting

o Click on save button.

4.2.2 Deleting the config task

To delete the Config task

o Select the single or multiple tasks

o Click on “Delete” button

4.2.3 Run the Task

To run the Task

o Select the Saved Task

o Click on “Run button”

4.2.4 View the Task Status

To view the Task Status

o Go to “Task Status” Tab under “Configuration Task” Tab.

o Click on “Refresh” button to view the Task Status

4.2.5 View the Task Results

To view the Task Result

o Go to “Task Result” Tab under “Configuration Task” Tab.

o Click on “Refresh” button to view the Task Result

6.0 Deployment

Step 1: Run the Setup

CentreWare Management Pack for Microsoft System Center Operations Managerv1.0.36_32Bit.msi (32 bit m/c)

OR

CentreWare Management Pack for Microsoft System Center Operations Managerv1.0.36_64Bit.msi (64 nit m/c)

Note: Uninstall the previous CentreWare Management Pack (From the control panel-> Add or Remove programs) before running the setup.

Step2: Connection string.

Application will access the database using Windows authentication.

For changing to SQL Server authentication change the connection string in xrx_ConfigurationSetting.exe.config and ConfigSettingSchedulerService.exe.config file.

(C:\Program Files\Xerox\CentreWare Management Pack for Microsoft System Center Operations Manager\ConfigSet)

*************************** End *************************************


Analyzing Printer Management Settings

Rules Details

A rule is a set of criteria for logging a specific event. You can view rules in the Authoring pane.

To view rules in the Authoring pane:

  1. Click Authoring.

  2. In the Authoring pane, choose Management Pack Objects>Rules.

  3. In the Rules pane, click Change Scope.

  4. The Scope Management Pack Objects by target(s) screen opens. Select View All Targets.

  5. Select SNMP Network Device.

  6. The Usage Counter Rules are displayed in the Rules view.

  7. Review the table below for complete details on these rules.

    8. Usage Counter Name | Indicates
Total Impressions | Total impressions counter data in the Xerox printers
Power on Impressions | Power on impressions counter data in Xerox printers
Black Printed Impressions | Black printed impressions counter data in Xerox printers
Black Printed 2 Sided Impressions | Black printed 2-sided impressions counter data in Xerox printers
Black Printed Sheets | Black printed sheets counter data in Xerox printers
Color Printed Impressions | Color printed impressions counter data in Xerox printers
Color Printed Sheets | Color printed sheets counter data in Xerox printers
Color Printed 2 Sided Impressions | Color printed 2-sided impressions counter data in Xerox printers
Color Impressions | Color impressions counter data in Xerox printers
Black Impressions | Black impressions counter data in Xerox printers


Managing Printers

Health Explorer Details

The Health Explorer tool is used to define and diagnose failures in managed Xerox printers. It enables you to view and take action on alerts, state changes, and other issues generated by monitoring network printers.

To open Health Explorer for managed Xerox printers:

  1. Click Monitoring.

  2. In the Monitoring pane, select Network Devices State.

  3. From the Network Devices State pane, select the device.

  4. From the Actions pane, click Health Explorer..

  5. The Health Explorer for the selected device is indicated. Under Entity Health, click Availability.

  6. Each of the items listed below Availability are called unit monitors. From the right pane, click the State Change Events tab.

  7. The State Change Events pane displays the timing details for each unit monitor.

    8. • As the status of the printer changes, then the state of the monitors will change accordingly. For example: if the printer’s input tray is opened, then the unit monitor “Input Tray Missing” will change the state from “Success” to “Critical”. As the printer status is changed, the state of the unit monitors will be changed and alerts are also generated


Management Pack Objects

Tuning the Management Pack Objects for Printer Monitoring

To reduce network traffic and the number of alerts, you can disable or eliminate any unit monitors that you consider not to be critical to your network monitoring.

To disable or delete a unit monitor:

  1. Click Authoring.

  2. Under Management Pack Objects, choose the object identified as Monitors.

  3. In the Monitors pane, drill down to SNMP Network Device.

  4. Select a unit monitor. The unit monitor details are now indicated below the list of unit monitors.

  5. Right-click and select Delete or Disable.


Changing Task Settings

As the administrator, you can control whether or not you want to see when a task is running. By default, you’ll see all tasks when they run. To run a task silently, follow the steps below.

To run a task silently:

  1. From the Tasks pane, select a task, right-click, and select Properties.

  2. The Open Web Console of Xerox Device Properties screen opens. Select Command Line tab.

  3. Under Additional Settings section, de-select Display output when this task is run check box.


Troubleshooting

This troubleshooting section identifies and provides solutions to correct some of the common performance issues and error messages you may experience while using CentreWare Management Pack for Microsoft System Center Operations Manager.

One printer is not discovered, but other network devices are discovered

Ping the printer from a command shell prompt. If ping is unsuccessful, there is either a problem with the printer's network connection or the printer is configured incorrectly. If the ping is successful, attempt to open the printer's Web page. Examine the printer's network properties for tcp/ip and change as necessary.

SNMP Network Device Tasks do not show up in the Action pane

When you choose Network Device>Network Devices State or Xerox Printer>Alerts or Usage counters, and the network device tasks don’t show up in the Actions pane, select a device in the Alerts pane.

If the Tasks don’t show up after selecting the device, go to the Administration view and reload the Xerox Printer Management Pack. The SNMP Network Device Tasks should now be displayed in the Actions pane.


Appendix A

Default Values for Alert Details:

Alerts | Resolution | Cause | Summary | Related Links
Low Toner | Add toner to printer | Toner supply is nearly empty. Add toner to maintain printer operation | Add toner to this printer to maintain image quality. Paper and other supplies may now be ordered online from Xerox | http://www.xerox.com/supplies
No Toner | Add toner to printer | Insufficient toner for printing | Add toner to this printer to restore printer operation. Paper and other supplies may now be ordered online from Xerox | http://www.xerox.com/supplies
Low Paper | Add Paper | Paper is low in one or more trays | For continued operation the paper supply must be replenished in one or more trays of this printer. Paper and other supplies may now be ordered online from Xerox. | http://www.xerox.com/supplies
Out of Paper | Put paper in printer | There is no paper of the size and type required for pending print jobs. | For continued operation the paper supply must be replenished in one or more trays of this printer. Paper and other supplies may now be ordered online from Xerox | http://www.xerox.com/supplies
Door Open | Completely close all printer access doors and covers | One or more printer access doors or covers is either or open or not completely closed | Printer operation will resume when the access doors and covers are properly closed. The printer’s display will provide specific instructions to restore operation | If you need assistance, contact your local system administrator or call Xerox Customer Support at 1-800-821-2797. Online support is available from http://www.support.xerox.com
Paper Jammed | Misfed sheets must be removed from the printer to unblock the paper path. | A mechanical failure has occurred because the paper path in the printer is blocked by a misfed sheet of paper | Printer operation will be restored after the misfed paper is removed | If you need assistance, contact your local system administrator or call Xerox Customer Support at 1-800-821-2797. Online support is available from http://www.support.xerox.com
Offline | the fault as shown on the printer’s front panel. Further action may be necessary, such as rebooting or calling for service. | The printer automatically goes offline (not available to receive further print jobs) when certain faults occur. | Correct the fault by performing the task as indicated on the printer’s front panel. Further action may be necessary, such as rebooting or calling for service/assistance | If you need assistance, contact your local system administrator or call Xerox Customer Support at 1-800-821-2797. Online support is available from http://www.support.xerox.com
Service Requested | Place a service call. | A fault has occurred at the printer that requires a service call | A fault of this nature normally causes an error code to be posted on the printer’s display. This fault-code will be cleared when the printer is serviced. | If you need assistance, contact your local system administrator or call Xerox Customer Support at 1-800-821-2797. Online support is available from http://www.support.xerox.com
Input Tray Missing | Return the paper tray to the operating (closed) position. | One or more paper trays are either removed from the printer or not properly closed | This Alert is caused by one or more paper trays incorrectly positioned for printer operation. | If you need assistance, contact your local system administrator or call Xerox Customer Support at 1-800-821-2797. Online support is available from http://www.support.xerox.com
Output Tray Missing | Correct the problem(s) with the printer’s paper destination | This may be caused by a fault with a finishing device (if installed) or incorrect printer configuration. | Check the printer’s display. If you are not able to correct the problem, call for service | If you need assistance, contact your local system administrator or call Xerox Customer Support at 1-800-821-2797. Online support is available from http://www.support.xerox.com
Marker Supply Missing | Replace the Xerographic unit. | The Xerographic replaceable unit has been removed from the printer | The Xerographic unit contains components for marking the paper. This is a customer-replaceable unit (CRU). Check the printer’s display. If you are not able to correct the problem, call for assistance. Paper and other supplies may now be ordered online from Xerox | http://www.xerox.com/supplies If you need assistance, contact your local system administrator or call Xerox Customer Support at 1-800-821-2797. Online support is available from http://www.support.xerox.com
Output Bin Near Full | Remove completed print/copy jobs from the printer’s output tray | Printed jobs and/or copy jobs have nearly filled the printer’s output tray | Too many completed jobs are in the printer. Remove the completed jobs to avoid interrupting printer operation | If you need assistance, contact your local system administrator or call Xerox Customer Support at 1-800-821-2797. Online support is available from http://www.support.xerox.com
Output Bin Full | Remove completed print/copy jobs from the printer’s output tray | Printed jobs and/or copy jobs have filled the printer’s output tray. | Too many completed jobs were left in the printer. Printer operation has been suspended pending removal of completed jobs from the output tray | If you need assistance, contact your local system administrator or call Xerox Customer Support at 1-800-821-2797. Online support is available from http://www.support.xerox.com
Input Tray Empty | Put paper in printer | There is no paper of the size and type required by this printer | For continued operation the paper supply must be replenished in one or more trays of this printer. Paper and other supplies may now be ordered online from Xerox. | http://www.xerox.com/supplies
Overdue Preventative Maintenance | Call for service | The printer is past-due for a preventative maintenance service call | Preventative maintenance is required to maintain quality printing | Contact your local system administrator or call Xerox Customer Support at 1-800-821-2797. Online support is available from http://www.support.xerox.com